Overview | Modules | Class Hierarchy | Classes | Members

# tlp::ColorScale Class Reference

`#include <ColorScale.h>`

Inherits tlp::Observable.

Inheritance diagram for tlp::ColorScale:

[legend]
Collaboration diagram for tlp::ColorScale:

[legend]
List of all members.

## Public Member Functions

- ColorScale ()
- ColorScale (const ColorScale &scale)
- virtual ~ColorScale ()
- virtual void setColorScale (const std::vector< Color > colors, const bool gradient=true)
- virtual Color getColorAtPos (const float pos) const
- bool colorScaleInitialized () const
- std::map< float, Color > getColorMap () const
- bool isGradient ()

## Protected Attributes

- std::map< float, Color > colorMap
- bool gradient
- bool colorScaleSet

## Constructor & Destructor Documentation

tlp::ColorScale::ColorScale | ( |  | ) |

tlp::ColorScale::ColorScale | ( | const ColorScale & | scale | ) |

virtual tlp::ColorScale::~ColorScale | ( |  | ) | `[virtual]`

## Member Function Documentation

bool tlp::ColorScale::colorScaleInitialized | ( |  | ) | const`[inline]`

virtual Color tlp::ColorScale::getColorAtPos | ( | const float | pos | ) | const`[virtual]`

std::map<float, Color> tlp::ColorScale::getColorMap | ( |  | ) | const`[inline]`

bool tlp::ColorScale::isGradient | ( |  | ) | `[inline]`

virtual void tlp::ColorScale::setColorScale | ( | const std::vector< Color > | colors,
|  | const bool | gradient = `true`
| ) | `[virtual]`

## Member Data Documentation

std::map<float, Color> tlp::ColorScale::colorMap`[protected]`

bool tlp::ColorScale::colorScaleSet`[protected]`

bool tlp::ColorScale::gradient`[protected]`

Tulip Software by LaBRI Visualization Team 2001 - 2010